Subject: Re: [PATCH] tests: rename work-tree tests to *work-tree*

From: Junio C Hamano <[email-masked]>
Date: Mon, 22 Feb 2016 09:57:33 -0800

Michael J Gruber <[email-masked]> writes:

>> That is rather unfortunate.  Most of them predate the "worktree"
>> subcommand, I think, and having to rename them merely because a
>> subcommand with a confusing name appeared sound somewhat backwards.
>
> The question is: What ist the way forward?

Probably many.  Take this as-is is one, rename newer ones that are
about worktree subcommand to "s/worktree/worktree-cmd/" would be
another.

> I was looking for a proper place for a "git worktree" test and got
> confused by the status quo. My suggestion is one way to help that
> confusion, but I'd be happy to learn other ways. "grep" is an answer, too.
>
> Maybe it's also time to admit that the numbering and naming scheme in t/
> don't scale and that we should rather support other means of navigating
> t/, such as standardizing a comment boiler plate in each test or such.

Yeah, test_description at the beginning of each test may have been a
well meaning attempt, but it is not helping us very much.

> In fact, giving up on the numbering scheme would allow to regroup tests
> more easily because there would be no room constraint any more (within a
> fixed finite set of numbers).

I tend to agree that may be an easier way forward in the longer
term.

Thanks.